package es.imib.cccf.beans;

import es.imib.persistence.Patient;
import es.imib.persistence.daos.DiagnosisDAO;
import java.io.Serializable;

public class PatientBean implements Serializable {
    protected Patient patient;
    protected Integer numDiagnosis;
    protected DiagnosisDAO diagnosisDAO;

    public PatientBean(Patient patient) {
        this.patient = patient;
        diagnosisDAO = DiagnosisDAO.getDiagnosisDAO();
        numDiagnosis = diagnosisDAO.countByPatient(patient.getPatientNdx()).intValue();
    }

    public Patient getPatient() {
        return patient;
    }

    public Integer getNumDiagnosis() {
        return numDiagnosis;
    }
}
