package es.imib.cccf.test;

import java.io.File;
import org.openrdf.model.URI;
import org.openrdf.repository.Repository;
import org.openrdf.repository.RepositoryConnection;
import org.openrdf.rio.RDFFormat;
import virtuoso.sesame2.driver.VirtuosoRepository;

public class LoadOWLInVirtuoso {

    public static void main(String args[]) {
        try {
            Repository repository = new VirtuosoRepository("jdbc:virtuoso://sele.inf.um.es:1111", "dba", "opendata");
            repository.initialize();
            String baseURI = "http://www.imib.es/freiburg/test1";
            RepositoryConnection connection = repository.getConnection();
            File dir = new File("/freiburg/owl/individuals");
            URI context = repository.getValueFactory().createURI(baseURI);
            for (File s : dir.listFiles()) {     
                System.out.println(s.getName());
                if (s.getName().endsWith(".owl")) {                        
                    connection.add(s, "", RDFFormat.RDFXML, context);
                }
            }                        
            connection.close();            
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }
}
