package es.imib.cccf.test;

import com.sun.org.apache.xerces.internal.jaxp.datatype.XMLGregorianCalendarImpl;
import es.imib.persistence.daos.CourseDAO;
import es.imib.persistence.daos.DiagnosisDAO;
import es.imib.persistence.daos.MeasureOpDAO;
import es.imib.persistence.daos.MedicationSubstanceDAO;
import es.imib.persistence.daos.MetastasesDAO;
import es.imib.persistence.daos.OtherClassificationDAO;
import es.imib.persistence.daos.PatientConditionDAO;
import es.imib.persistence.daos.PatientDAO;
import es.imib.persistence.daos.StudyDAO;
import es.imib.persistence.daos.TherapyDAO;
import es.imib.persistence.daos.UnderLocalizationDAO;
import java.text.DateFormat;
import java.text.ParsePosition;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.GregorianCalendar;
import javax.xml.datatype.XMLGregorianCalendar;
import org.semanticweb.owlapi.vocab.OWLRDFVocabulary;

public class Test {

    public static void main(String args[]) {
        try {
            Date date = new Date();
            System.out.println(date);
            GregorianCalendar gc = new GregorianCalendar();
            gc.setGregorianChange(date);
            XMLGregorianCalendarImpl xmlgc = new XMLGregorianCalendarImpl(gc);
            System.out.println(xmlgc.toXMLFormat());
            
            DateFormat df = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ssZ") {
                public Date parse(String source, ParsePosition pos) {
                    return super.parse(source.replaceFirst(":(?=[0-9]{2}$)", ""), pos);
                }
            };
            System.out.println(OWLRDFVocabulary.RDFS_LABEL.toString());
            CourseDAO courseDAO = CourseDAO.getCourseDAO();
            courseDAO.findAll();
            System.out.println("Course running");
            DiagnosisDAO diagnosisDAO = DiagnosisDAO.getDiagnosisDAO();
            diagnosisDAO.findAll();
            System.out.println("Diagnosis running");
            MeasureOpDAO measureOpDAO = MeasureOpDAO.getMeasureOpDAO();
            measureOpDAO.findAll();
            System.out.println("MeasuseOp running");
            MedicationSubstanceDAO medicationSubstanceDAO = MedicationSubstanceDAO.getMedicationSubstanceDAO();
            medicationSubstanceDAO.findAll();
            System.out.println("MedicationSubstance running");
            MetastasesDAO metastasesDAO = MetastasesDAO.getMetastasesDAO();
            metastasesDAO.findAll();
            System.out.println("Metastases running");
            OtherClassificationDAO otherClassificationDAO = OtherClassificationDAO.getOtherClassificationDAO();
            otherClassificationDAO.findAll();
            System.out.println("OtherClassification running");
            PatientConditionDAO patientConditionDAO = PatientConditionDAO.getPatientConditionDAO();
            patientConditionDAO.findAll();
            System.out.println("PatientCondition running");
            PatientDAO patientDAO = PatientDAO.getPatientDAO();
            patientDAO.findAll();
            System.out.println("Patient running");
            StudyDAO studyDAO = StudyDAO.getStudyDAO();
            studyDAO.findAll();
            System.out.println("Study running");
            TherapyDAO therapyDAO = TherapyDAO.getTherapyDAO();
            therapyDAO.findAll();
            System.out.println("Therapy running");
            UnderLocalizationDAO underLocalizationDAO = UnderLocalizationDAO.getUnderLocalizationDAO();
            underLocalizationDAO.findAll();
            System.out.println("UnderLocalization running");
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }
}
