package es.imib.persistence;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

//patienten
@Entity
@Table(name = "patienten")
public class Patient implements Serializable {
    @Id
    @Column(name = "patient_ndx", nullable = false)
    protected Long patientNdx;
    @Column(name = "piz")
    protected Long piz;
    @Column(name = "piz_text")
    protected Long pizText;
    @Column(name = "titel")
    protected String title;
    @Column(name = "anrede")
    protected String salutation;    
    @Column(name = "rufname")
    protected String nickname;
    @Column(name = "years")
    protected Long yearsOld;

    public Long getPatientNdx() {
        return patientNdx;
    }

    public void setPatientNdx(Long patientNdx) {
        this.patientNdx = patientNdx;
    }

    public Long getPiz() {
        return piz;
    }

    public void setPiz(Long piz) {
        this.piz = piz;
    }

    public Long getPizText() {
        return pizText;
    }

    public void setPizText(Long pizText) {
        this.pizText = pizText;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSalutation() {
        return salutation;
    }

    public void setSalutation(String salutation) {
        this.salutation = salutation;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public Long getYearsOld() {
        return yearsOld;
    }

    public void setYearsOld(Long yearsOld) {
        this.yearsOld = yearsOld;
    }
}
