package es.imib.persistence;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

//studien
@Entity
@Table(name = "studien")
public class Study implements Serializable {
    @Id
    @Column(name = "studie_ndx", nullable = false)
    protected Long studyNdx;
    @Column(name = "bezeichnung")
    protected String designation;
    @Column(name = "akronym")
    protected String acronym;
    @Column(name = "drks_nr") //German registry of Clinical Trials
    protected String drks;

    public Long getStudyNdx() {
        return studyNdx;
    }

    public void setStudyNdx(Long studyNdx) {
        this.studyNdx = studyNdx;
    }

    public String getDesignation() {
        return designation;
    }

    public void setDesignation(String designation) {
        this.designation = designation;
    }

    public String getAcronym() {
        return acronym;
    }

    public void setAcronym(String acronym) {
        this.acronym = acronym;
    }

    public String getDrks() {
        return drks;
    }

    public void setDrks(String drks) {
        this.drks = drks;
    }
}
