package es.imib.cccf.beans;

import es.imib.persistence.Diagnosis;
import es.imib.persistence.daos.DiagnosisDAO;
import java.util.List;

public class DiagnosisList extends PrimefacesList<DiagnosisBean, Diagnosis, DiagnosisDAO>{

    public DiagnosisList(DiagnosisDAO dao) {
        super(dao);
    }

    public DiagnosisList(DiagnosisDAO dao, String sortField, boolean sortOrder) {
        super(dao, sortField, sortOrder);
    }

    public DiagnosisList(DiagnosisDAO dao, Integer startRow, Integer maxResults) {
        super(dao, startRow, maxResults);
    }

    public DiagnosisList(DiagnosisDAO dao, String sortField, boolean sortOrder, Integer startRow, Integer maxResults) {
        super(dao, sortField, sortOrder, startRow, maxResults);
    }

    @Override
    public void buscar() {
        
    }

    @Override
    public void listarTodos() {
        
    }

    @Override
    protected DiagnosisBean createBean(Diagnosis persistence) {
        return new DiagnosisBean(persistence);
    }

    @Override
    protected int findTotalResults() {
        return dao.countAll().intValue();
    }

    @Override
    protected List<DiagnosisBean> findBeans(String sortName, boolean ascending, Integer startRow, Integer maxResults) {
        return transformarPersistenceCollectionToBeanCollection(dao.findAll(sortName, ascending, startRow, maxResults));
    }

    @Override
    public Object getRowKey(DiagnosisBean object) {
        return object.getDiagnosis().getDiagnosisNdx();
    }
}
