package es.imib.cccf.semantic.collections;

import es.imib.cccf.beans.PrimefacesSemanticList;
import es.imib.cccf.semantic.collections.beans.GenericBean;
import es.imib.semantic.Tuple;
import java.util.List;
import org.openrdf.model.URI;

public class GenericList extends PrimefacesSemanticList<GenericBean> {

    public GenericList(String classFather) {
        super(classFather);
    }

    @Override
    public void buscar() {
        numResults = findTotalResults();
    }

    @Override
    public void listarTodos() {
        filters.clear();
    }

    @Override
    protected GenericBean createBean(URI uri, List<Tuple> tuples) {
        return new GenericBean(uri, tuples);
    }

}
