package es.imib.cccf.semantic.collections;

import es.imib.cccf.beans.PrimefacesSemanticList;
import es.imib.cccf.semantic.collections.beans.PatientBean;
import es.imib.semantic.Tuple;
import java.util.List;
import org.openrdf.model.URI;

public class PatientOGIList extends PrimefacesSemanticList<PatientBean>{

    public PatientOGIList(String classFather) {
        super(classFather);
    }

    @Override
    public void buscar() {
        numResults = findTotalResults();
    }

    @Override
    public void listarTodos() {
        filters.clear();
    }

    @Override
    protected PatientBean createBean(URI uri, List<Tuple> tuples) {
        return new PatientBean(uri, tuples);
    }
}
