package es.imib.cccf.web;

import es.imib.cccf.beans.DiagnosisPatientList;
import es.imib.jsf.JSFUtil;
import es.imib.persistence.daos.DiagnosisDAO;
import java.io.Serializable;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;

@ManagedBean
@ViewScoped
public class DiagnosisPatientWeb implements Serializable {
    protected DiagnosisPatientList list;
    protected boolean error;

    public DiagnosisPatientWeb() {
        Long patient = JSFUtil.getLongHttpRequestParameter("patient_id");
        if (patient == null) {
            error = true;
        }            
        list = new DiagnosisPatientList(patient, DiagnosisDAO.getDiagnosisDAO());
    }

    public DiagnosisPatientList getList() {
        return list;
    }

    public boolean isError() {
        return error;
    }
}
