package es.imib.cccf.web.application;

import java.io.Serializable;
import java.util.Calendar;
import java.util.Date;
import javax.faces.bean.ApplicationScoped;
import javax.faces.bean.ManagedBean;

@ManagedBean
@ApplicationScoped
public class TextFormatter implements Serializable {
    public String getStringDate(Date date) {
        if (date == null) {
            return "";
        }
        Calendar c = Calendar.getInstance();
        c.setTime(date);
        return c.get(Calendar.DATE) + "/" + (c.get(Calendar.MONTH) + 1) + "/" + c.get(Calendar.YEAR);
    }
    
    public String getStringToXMLString(String s) {
        s = s.replaceAll("\\^\\^xsd:string", "");
        s = s.replaceAll("\"", "");
        return s;
    }
}
