package es.imib.persistence;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

//klassifizierungen_sonstige
@Entity
@Table(name = "klassifizierungen_sonstige")
public class OtherClassification implements Serializable {
    @Id
    @Column(name = "klassifizierung_ndx", nullable = false)
    protected Long classificacion;
    @Column(name = "diagnose_ndx")
    protected Long diagnosisNdx;
    @Column(name = "piz")
    protected Long piz;
    @Column(name = "piz_text")
    protected Long pizText;
    @Column(name = "klassifikation_name")
    protected String classificationName;
    @Column(name = "wert")
    protected String value;

    public Long getClassificacion() {
        return classificacion;
    }

    public void setClassificacion(Long classificacion) {
        this.classificacion = classificacion;
    }

    public Long getDiagnosisNdx() {
        return diagnosisNdx;
    }

    public void setDiagnosisNdx(Long diagnosisNdx) {
        this.diagnosisNdx = diagnosisNdx;
    }

    public Long getPiz() {
        return piz;
    }

    public void setPiz(Long piz) {
        this.piz = piz;
    }

    public Long getPizText() {
        return pizText;
    }

    public void setPizText(Long pizText) {
        this.pizText = pizText;
    }

    public String getClassificationName() {
        return classificationName;
    }

    public void setClassificationName(String classificationName) {
        this.classificationName = classificationName;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
