package es.imib.persistence;

import java.io.Serializable;
import java.sql.Timestamp;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

//patientenzustaende
@Entity
@Table(name = "patientenzustaende")
public class PatientCondition implements Serializable {
    @Id
    @Column(name = "zustand_ndx", nullable = false)
    protected Long conditionNdx;
    @Column(name = "patient_ndx")
    protected Long patientNdx;
    @Column(name = "piz")
    protected Long piz;
    @Column(name = "piz_text")
    protected Long pizText;
    @Column(name = "karnofsky_index")
    protected Long karnofskyIndex;
    @Column(name = "karnofsky_index_text")
    protected String karnofskyIndexText;
    @Column(name = "asa_index")
    protected Long asaIndex;
    @Column(name = "asa_index_text")
    protected String asaIndexText;
    @Column(name = "ecog_index")
    protected Long ecogIndex;
    @Column(name = "ecog_index_text")
    protected String ecogIndexText;
    @Column(name = "menopausenstatus")
    protected Long menopauseStatus;
    @Column(name = "menopausenstatus_text")
    protected String menopauseStatusText;
    @Column(name = "bezugsdatum")
    protected Timestamp referenceDate;
    @Column(name = "bezugsdatum_geschaetzt")
    protected String referenceDateValued;

    public Long getConditionNdx() {
        return conditionNdx;
    }

    public void setConditionNdx(Long conditionNdx) {
        this.conditionNdx = conditionNdx;
    }

    public Long getPatientNdx() {
        return patientNdx;
    }

    public void setPatientNdx(Long patientNdx) {
        this.patientNdx = patientNdx;
    }

    public Long getPiz() {
        return piz;
    }

    public void setPiz(Long piz) {
        this.piz = piz;
    }

    public Long getPizText() {
        return pizText;
    }

    public void setPizText(Long pizText) {
        this.pizText = pizText;
    }

    public Long getKarnofskyIndex() {
        return karnofskyIndex;
    }

    public void setKarnofskyIndex(Long karnofskyIndex) {
        this.karnofskyIndex = karnofskyIndex;
    }

    public String getKarnofskyIndexText() {
        return karnofskyIndexText;
    }

    public void setKarnofskyIndexText(String karnofskyIndexText) {
        this.karnofskyIndexText = karnofskyIndexText;
    }

    public Long getAsaIndex() {
        return asaIndex;
    }

    public void setAsaIndex(Long asaIndex) {
        this.asaIndex = asaIndex;
    }

    public String getAsaIndexText() {
        return asaIndexText;
    }

    public void setAsaIndexText(String asaIndexText) {
        this.asaIndexText = asaIndexText;
    }

    public Long getEcogIndex() {
        return ecogIndex;
    }

    public void setEcogIndex(Long ecogIndex) {
        this.ecogIndex = ecogIndex;
    }

    public String getEcogIndexText() {
        return ecogIndexText;
    }

    public void setEcogIndexText(String ecogIndexText) {
        this.ecogIndexText = ecogIndexText;
    }

    public Long getMenopauseStatus() {
        return menopauseStatus;
    }

    public void setMenopauseStatus(Long menopauseStatus) {
        this.menopauseStatus = menopauseStatus;
    }

    public String getMenopauseStatusText() {
        return menopauseStatusText;
    }

    public void setMenopauseStatusText(String menopauseStatusText) {
        this.menopauseStatusText = menopauseStatusText;
    }

    public Timestamp getReferenceDate() {
        return referenceDate;
    }

    public void setReferenceDate(Timestamp referenceDate) {
        this.referenceDate = referenceDate;
    }

    public String getReferenceDateValued() {
        return referenceDateValued;
    }

    public void setReferenceDateValued(String referenceDateValued) {
        this.referenceDateValued = referenceDateValued;
    }
}
