package es.imib.persistence;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

//unterlokalisationen
@Entity
@Table(name = "unterlokalisationen")
public class UnderLocalization implements Serializable {
    @Id
    @Column(name = "unterlokalisation_ndx", nullable = false)
    protected Long underLocalizationNdx;
    @Column(name = "verlauf_ndx")
    protected Long courseNdx;
    @Column(name = "diagnose_ndx")
    protected Long diagnosisNdx;
    @Column(name = "patient_ndx")
    protected Long patientNdx;
    @Column(name = "piz")
    protected Long piz;
    @Column(name = "piz_text")
    protected Long pizText;
    @Column(name = "icd_o_lokalisation")
    protected String icdOLocalization;
    @Column(name = "icd_o_lokalisation_text")
    protected String icdOLocalizationText;
    @Column(name = "seite")
    protected String page;
    @Column(name = "seite_text")
    protected String pageText;
    @Column(name = "multipel_ja_nein")
    protected String disseminatedYesNo;
    @Column(name = "anzahl")
    protected Long number;
    @Column(name = "tumorgeschehen")
    protected String tumorHappen;
    @Column(name = "tumorgeschehen_text")
    protected String tumorHappenText;
    @Column(name = "tumorgroesse_laenge")
    protected String tumorSizeLenght;
    @Column(name = "tumorgroesse_breite")
    protected String tumorSizeWide;
    @Column(name = "tumorgroesse_hoehe")
    protected String tumorSizeHeight;
    @Column(name = "anmerkung")
    protected String anmerkung;

    public Long getUnderLocalizationNdx() {
        return underLocalizationNdx;
    }

    public void setUnderLocalizationNdx(Long underLocalizationNdx) {
        this.underLocalizationNdx = underLocalizationNdx;
    }

    public Long getCourseNdx() {
        return courseNdx;
    }

    public void setCourseNdx(Long courseNdx) {
        this.courseNdx = courseNdx;
    }

    public Long getDiagnosisNdx() {
        return diagnosisNdx;
    }

    public void setDiagnosisNdx(Long diagnosisNdx) {
        this.diagnosisNdx = diagnosisNdx;
    }

    public Long getPatientNdx() {
        return patientNdx;
    }

    public void setPatientNdx(Long patientNdx) {
        this.patientNdx = patientNdx;
    }

    public Long getPiz() {
        return piz;
    }

    public void setPiz(Long piz) {
        this.piz = piz;
    }

    public Long getPizText() {
        return pizText;
    }

    public void setPizText(Long pizText) {
        this.pizText = pizText;
    }

    public String getIcdOLocalization() {
        return icdOLocalization;
    }

    public void setIcdOLocalization(String icdOLocalization) {
        this.icdOLocalization = icdOLocalization;
    }

    public String getIcdOLocalizationText() {
        return icdOLocalizationText;
    }

    public void setIcdOLocalizationText(String icdOLocalizationText) {
        this.icdOLocalizationText = icdOLocalizationText;
    }

    public String getPage() {
        return page;
    }

    public void setPage(String page) {
        this.page = page;
    }

    public String getPageText() {
        return pageText;
    }

    public void setPageText(String pageText) {
        this.pageText = pageText;
    }

    public String getDisseminatedYesNo() {
        return disseminatedYesNo;
    }

    public void setDisseminatedYesNo(String disseminatedYesNo) {
        this.disseminatedYesNo = disseminatedYesNo;
    }

    public Long getNumber() {
        return number;
    }

    public void setNumber(Long number) {
        this.number = number;
    }

    public String getTumorHappen() {
        return tumorHappen;
    }

    public void setTumorHappen(String tumorHappen) {
        this.tumorHappen = tumorHappen;
    }

    public String getTumorHappenText() {
        return tumorHappenText;
    }

    public void setTumorHappenText(String tumorHappenText) {
        this.tumorHappenText = tumorHappenText;
    }

    public String getTumorSizeLenght() {
        return tumorSizeLenght;
    }

    public void setTumorSizeLenght(String tumorSizeLenght) {
        this.tumorSizeLenght = tumorSizeLenght;
    }

    public String getTumorSizeWide() {
        return tumorSizeWide;
    }

    public void setTumorSizeWide(String tumorSizeWide) {
        this.tumorSizeWide = tumorSizeWide;
    }

    public String getTumorSizeHeight() {
        return tumorSizeHeight;
    }

    public void setTumorSizeHeight(String tumorSizeHeight) {
        this.tumorSizeHeight = tumorSizeHeight;
    }

    public String getAnmerkung() {
        return anmerkung;
    }

    public void setAnmerkung(String anmerkung) {
        this.anmerkung = anmerkung;
    }
}
