package es.imib.semantic;

import java.io.Serializable;
import org.openrdf.model.Value;

public class Tuple implements Serializable {
    protected Value subject;
    protected Value predicate;
    protected Value object;

    public Tuple(Value subject, Value predicate, Value object) {
        this.subject = subject;
        this.predicate = predicate;
        this.object = object;
    }

    public Value getSubject() {
        return subject;
    }

    public Value getPredicate() {
        return predicate;
    }

    public Value getObject() {
        return object;
    }
}
